Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#19 Can't install gem on Windows

open
nobody
None
5
2012-01-19
2012-01-19
Aaron Mueller
No

I tried to install ruby-ldap (version 0.9.12) and get this error message:

make install
/usr/bin/install -c -m 0755 ldap.so /usr/lib/ruby/gems/1.8/gems/ruby-ldap-0.9.12/lib
/usr/bin/install -c -m 644 ./lib/ldap/control.rb /usr/lib/ruby/gems/1.8/gems/ruby-ldap-0.9.12/lib/ldap
/usr/bin/install: `./lib/ldap/control.rb' and `/usr/lib/ruby/gems/1.8/gems/ruby-ldap-0.9.12/lib/ldap/control.rb' are the same file
Makefile:130: recipe for target `/usr/lib/ruby/gems/1.8/gems/ruby-ldap-0.9.12/lib/ldap/control.rb' failed
make: *** [/usr/lib/ruby/gems/1.8/gems/ruby-ldap-0.9.12/lib/ldap/control.rb] Error 1

Gem files will remain installed in /usr/lib/ruby/gems/1.8/gems/ruby-ldap-0.9.12 for inspection.
Results logged to /usr/lib/ruby/gems/1.8/gems/ruby-ldap-0.9.12/./gem_make.out

I use Windows an CygWin :(
Are there some paths wrong? Other gems can install smoothly.

Discussion